Package org.apache.sling.resourceresolver.impl.providers.tree

# Class PathSegmentIterator

java.lang.Object
org.apache.sling.resourceresolver.impl.providers.tree.PathSegmentIterator

All Implemented Interfaces:
  `Iterator<String>`

public class PathSegmentIterator extends Object implements Iterator<String>

## Constructor Summary

Constructors
Constructor
Description
`PathSegmentIterator(String path, int index)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`String`
`next()`
`void`
`remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### PathSegmentIterator

public PathSegmentIterator(String path, int index)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<String>`

### next

public String next()

Specified by:
  `next` in interface `Iterator<String>`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator<String>`